// pages/splash/splash.js
var app = getApp();
var flag = 0;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    info: null
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let id = options.id?options.id:0;
    if(id > 0){
      this.showData(id);
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    var that = this;
    app.ajaxReadyCallback = res => {
      var apiname = res.data.apiname;
      if (apiname == 'info'){
        that.setData({
          info: res.data.data
        });
        console.log(res.data.data);
      }
    }
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },

  showData:function(id){
    if(flag == 1){
      return false;
    }
    app.ajax2({
      url: app.globalData.visitorServerUrl + 'visitorOrder/detail',
      type: 'POST',
      apiname: 'info',
      data: {
        id: id
      }
    });
  },
})